Get object storage bucket and content details

Retrieve detailed information about a specific object storage bucket, including its size, number of objects, and creation date. Use this for an overview of storage space and content in your object storage services.

Object Storage Buckets

Context

Used in the dashboard

/object-storage/[bucket] /object-storage

Path Parameters

name string required Example: f13

name parameter

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.bucket object required
data.bucket.created string required · Example: 2026-03-22T23:44:11.924382Z
data.bucket.name string required · Example: f13
data.bucket.numObjects integer required · Example: 1
data.bucket.owner string · enum · Example: client_204$main
client_11112$main
client_204$main
client_8251$main
data.bucket.sizeBytes integer · Example: 268435456
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/object-storage/buckets/{name}
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/object-storage/buckets/f13" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "bucket": {
      "name": "f13",
      "sizeBytes": 268435456,
      "numObjects": 1,
      "created": "2026-03-22T23:44:11.924382Z",
      "owner": "client_204$main"
    }
  }
}